Skip to main content
GET
/
v1
/
videos
/
{id}
Query Video Task Status
curl --request GET \
  --url https://www.anyfast.ai/v1/videos/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "video_69b131ea03548190925a6a06febf993b",
  "object": "video",
  "model": "sora-2",
  "status": "in_progress",
  "progress": 0,
  "prompt": "A cat walking through a sunflower field",
  "seconds": "12",
  "size": "1280x720",
  "created_at": 1773220330,
  "completed_at": null,
  "expires_at": null,
  "error": null,
  "remixed_from_video_id": null
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Video task ID returned from the create endpoint.

Response

Task status

id
string
Example:

"video_69b131ea03548190925a6a06febf993b"

object
string
Example:

"video"

model
string
Example:

"sora-2"

status
enum<string>
Available options:
queued,
in_progress,
completed,
failed
Example:

"in_progress"

progress
integer
Example:

0

prompt
string
Example:

"A cat walking through a sunflower field"

seconds
string
Example:

"12"

size
string
Example:

"1280x720"

created_at
integer
Example:

1773220330

completed_at
integer | null
Example:

null

expires_at
integer | null
Example:

null

error
string | null
Example:

null

remixed_from_video_id
string | null
Example:

null